Groovy 1.7.10

## groovy.mock.interceptor
[Groovy] Class LooseExpectation

    java.lang.Object
      groovy.mock.interceptor.LooseExpectation

    class LooseExpectation
    extends Object

Expects demanded call cardinalities to match demanded ranges. The calls are allowed to be out of the recorded sequence. If a method is demanded multiple times, the ranges are filled by order of recording.

Authors:
  Dierk Koenig

See Also:
  StrictExpectation

Property Summary
`List` | `fCalls`
`Demand` | `fDemand`

Constructor Summary
`LooseExpectation(Demand demand)`

Method Summary
`boolean` | `isEligible(String name, int i)`
`Closure` | `match(String name)` Match the requested method name against eligible demands.
`void` | `verify()` verify all calls are in expected range

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Property Detail

### fCalls

    List fCalls

### fDemand

    Demand fDemand

Constructor Detail

### LooseExpectation

    LooseExpectation(Demand demand)

Method Detail

### isEligible

    boolean isEligible(String name, int i)

### match

    Closure match(String name)

  Match the requested method name against eligible demands. Fail early if no match possible. Return the demand's behavior closure on match. Also skips over names matching ignore filter, if any.

### verify

    void verify()

  verify all calls are in expected range

Copyright © 2003-2010 The Codehaus. All rights reserved.